<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\api\logic\suyuan_operation;


use app\common\model\suyuan_operation\OperationFeedingLog;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * OperationFeedingLog逻辑
 * Class OperationFeedingLogLogic
 * @package app\api\logic\suyuan_operation
 */
class OperationFeedingLogLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:09
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {
            OperationFeedingLog::create([
                'animal_info_id' => $params['animal_info_id']??0,
                'fence_house_id' => $params['fence_house_id'],
                'feed_type' => $params['feed_type'],
                'feed_brand' => $params['feed_brand'],
                'feed_consumption' => $params['feed_consumption'],
                'operator' => $params['operator'],
                'pic' => $params['pic'],
                'remark' => $params['remark'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:09
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            OperationFeedingLog::where('id', $params['id'])->update([
                'animal_info_id' => $params['animal_info_id']??0,
                'fence_house_id' => $params['fence_house_id'],
                'feed_type' => $params['feed_type'],
                'feed_brand' => $params['feed_brand'],
                'feed_consumption' => $params['feed_consumption'],
                'operator' => $params['operator'],
                'pic' => $params['pic'],
                'remark' => $params['remark'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:09
     */
    public static function delete(array $params): bool
    {
        return OperationFeedingLog::destroy($params['id']);
    }


    /**
     * @notes 获取详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2024/01/15 10:09
     */
    public static function detail($params): array
    {
        return OperationFeedingLog::findOrEmpty($params['id'])->toArray();
    }
}